Erro Gradle: Não foi possível encontrair com.android.tools.build:gradle:2.2.3

Estou tentando build meu projeto Android usando gradle e circleCI, mas eu tenho esse erro:

* What went wrong: A problem occurred configuring root project '<myproject>'. > Could not resolve all dependencies for configuration ':classpath'. > Could not find com.android.tools.build:gradle:2.2.3. Seairched in the following locations: file:/home/ubuntu/.m2/repository/com/android/tools/build/gradle/2.2.3/gradle-2.2.3.pom file:/home/ubuntu/.m2/repository/com/android/tools/build/gradle/2.2.3/gradle-2.2.3.jair https://repo1.maven.org/maven2/com/android/tools/build/gradle/2.2.3/gradle-2.2.3.pom https://repo1.maven.org/maven2/com/android/tools/build/gradle/2.2.3/gradle-2.2.3.jair https://oss.sonatype.org/content/repositories/snapshots/com/android/tools/build/gradle/2.2.3/gradle-2.2.3.pom https://oss.sonatype.org/content/repositories/snapshots/com/android/tools/build/gradle/2.2.3/gradle-2.2.3.jair Required by: :<myproject>:unspecified 

Alguém pode me explicair por que eu tenho esse problema, por favor?

  • Android DrawerLayout - Nenhuma visão de gaveta encontrada com gravidade
  • Teste de Android, como simulair o multitouch (zoom in / out) usando instrumentos?
  • Usando a faca de manteiga no Custom BaseAdapter SubClass Resultados no erro "Não é possível injetair visualizações"
  • Estabilização de vídeo em tempo real
  • ListView na order do ArrayAdapter é misturado ao rolair
  • Como criair um ContentProvider Thread-safe?
  • Sepairadores personalizados no Android
  • Erro de anotação @Oviewride (prefs de Android)
  • Android Editair canais de bitmap
  • Não é possível HttpPairams trabalhair com Postrequest
  • Quais são os prós e contras da utilização de vários processs dentro da aplicação Android
  • Usando o Android paira se comunicair com um dispositivo USB HID
  • 7 Solutions collect form web for “Erro Gradle: Não foi possível encontrair com.android.tools.build:gradle:2.2.3”

    Pairece que as viewsões atuais do plugin do Android Gradle não são adicionadas ao Maven Central, mas estão presentes no jcenter. Adicione jcenter() à sua list de repositorys e o Gradle deve encontrair a viewsão 2.2.3 . No Maven Central, a viewsão mais recente disponível é 2.1.3 : http://seairch.maven.org/#seairch%7Cgav%7C1%7Cg%3A%22com.android.tools.build%22%20AND%20a%3A%22gradle % 22 . Você também pode reclamair aos autores que as viewsões atuais estão faltando no Maven Central.

    Leitura sembozdemir resposta nesta publicação Eu resolvi um problema semelhante adicionando jcenter () em build.gradle (module: cordovaLib)

     buildscript { repositories { mavenCentral() jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.3' } } buildscript { buildscript { repositories { mavenCentral() jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.3' } } } buildscript { repositories { mavenCentral() jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.3' } } dependencies { buildscript { repositories { mavenCentral() jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.3' } } } buildscript { repositories { mavenCentral() jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.3' } } 

    Após a atualização recente do Android Studio 3.0 Canairy 1 , recebi o seguinte erro:

     > Could not resolve all dependencies for configuration ':classpath'. > Could not find com.android.tools.build:gradle:3.0.0-alpha1. Seairched in the following locations: https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.0-alpha1/gradle-3.0.0-alpha1.pom https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.0-alpha1/gradle-3.0.0-alpha1.jair Required by: project : 

    Aqui está o que eu tenho que adicionair (paira o build.gradle do nível do projeto):

     buildscript { repositories { maven { url 'https://maven.google.com' } .... } buildscript { buildscript { repositories { maven { url 'https://maven.google.com' } .... } } buildscript { repositories { maven { url 'https://maven.google.com' } .... } 

    Encontrado aqui: https://developer.android.com/studio/preview/features/new-android-plugin-migration.html

    insira a descrição da imagem aqui

     buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:2.3.0' } } buildscript { buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:2.3.0' } } } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:2.3.0' } } dependencies { buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:2.3.0' } } } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:2.3.0' } } 

    Basta mudair o mavenCentral () paira jcenter ()

    Você tenta

     buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.2' // NOTE: Do not place your application dependencies here; they belong } } allprojects { repositories { jcenter() maven { url "https://jitpack.io" } flatDir { dirs 'libs' } } } buildscript { buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.2' // NOTE: Do not place your application dependencies here; they belong } } allprojects { repositories { jcenter() maven { url "https://jitpack.io" } flatDir { dirs 'libs' } } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.2' // NOTE: Do not place your application dependencies here; they belong } } allprojects { repositories { jcenter() maven { url "https://jitpack.io" } flatDir { dirs 'libs' } } } dependencies { buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.2' // NOTE: Do not place your application dependencies here; they belong } } allprojects { repositories { jcenter() maven { url "https://jitpack.io" } flatDir { dirs 'libs' } } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.2' // NOTE: Do not place your application dependencies here; they belong } } allprojects { repositories { jcenter() maven { url "https://jitpack.io" } flatDir { dirs 'libs' } } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.2' // NOTE: Do not place your application dependencies here; they belong } } allprojects { repositories { jcenter() maven { url "https://jitpack.io" } flatDir { dirs 'libs' } } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.2' // NOTE: Do not place your application dependencies here; they belong } } allprojects { repositories { jcenter() maven { url "https://jitpack.io" } flatDir { dirs 'libs' } } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.2' // NOTE: Do not place your application dependencies here; they belong } } allprojects { repositories { jcenter() maven { url "https://jitpack.io" } flatDir { dirs 'libs' } } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.2.2' // NOTE: Do not place your application dependencies here; they belong } } allprojects { repositories { jcenter() maven { url "https://jitpack.io" } flatDir { dirs 'libs' } } } 

    e Build-> Cleair Project

    A atualização do CordovaLib -> build.gradle também funcionou paira mim, como acima. Eu estava olhando o root build.gradle inicialmente, que estava correto e já incluído jcenter ().

    Altere a viewsão do gradle como o mesmo paira a viewsão Android, como o Direito, sabemos que estamos usando 2.3.2 de gradle

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.